# Contacts, announcements, requests and bug reporting

## Announcements

Announcements are done through the [onion-services-announce tag][] in the [Tor
Forum][]. You can subscribe to this tag in order to get news on releases
as well as on important information.

[onion-services-announce tag]: https://forum.torproject.org/tag/onion-services-announce

## Contacting

* General discussion and support: [onion-services tag][] at the [Tor Forum][].
* Mailing list: [tor-dev@lists.torproject.org][].
* [IRC][]: #tor-dev at [OFTC][].

[onion-services tag]: https://forum.torproject.org/tag/onion-services
[Tor Forum]: https://forum.torproject.org
[IRC]: https://en.wikipedia.org/wiki/Internet_Relay_Chat
[OFTC]: https://www.oftc.net/
[tor-dev@lists.torproject.org]: https://lists.torproject.org/mailman3/postorius/lists/tor-dev.lists.torproject.org/

## Reporting bugs and features

Report bugs, request features at the [Onionspray issue queue][], and submit
merge requests [here][].

[Onionspray issue queue]: https://gitlab.torproject.org/tpo/onion-services/onionspray/-/issues
[here]: https://gitlab.torproject.org/tpo/onion-services/onionspray/-/merge_requests
